Merged LineStrings disappear
Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 19882

Description

If I merge LineStrings, whether they are just digitised and not save or whether they were loaded from the database, they just disappear

with no trace. No selection, nada. If they were in the database before and I save, they are deleted.

History

#1 - 2014-11-12 01:12 PM - Giovanni Manghi

- Status changed from Open to Feedback

cannot confirm on qgis 2.6 and master, more details are needed: exact steps to replicate, a sample dataset, etc.

#2 - 2014-11-13 03:10 AM - Gavin Fleming

weird. It does it with the LineString layer from the same database that's giving issues in #11574 even after restoring it to local 9.3/2.1.

It works properly with MultiLineString layers from the same database.

Still, it's the merge operation itself that obliterates the records.

I can set up the same schema in spatialite and then this issue disappears.

Steps: take any existing or newly digitised line, split it, select both, merge. The lines disappear.

#3 - 2014-11-13 12:39 PM - Giovanni Manghi

Gavin Fleming wrote:

weird. It does it with the LineString layer from the same database that's giving issues in #11574 even after restoring it to local 9.3/2.1.

It works properly with MultiLineString layers from the same database.

Still, it's the merge operation itself that obliterates the records.

I can set up the same schema in spatialite and then this issue disappears.

Steps: take any existing or newly digitised line, split it, select both, merge. The lines disappear.
it is not possible to replicate this here. QGIS master (pre 2.6) had issue with the merge tool that has been solved.

Do you see this just with a specific table or any Linestring table? Can you rule out a local issue by testing a completely different installation of qgis?

#4 - 2015-05-10 02:27 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

closing for lack of feedback.
